Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.expressions
Class ElementHandler

    java.lang.Object
      org.eclipse.core.expressions.ElementHandler

public abstract class ElementHandler
extends Object

An element handler converts an `IConfigurationElement` into a corresponding expression object.

The class should be subclassed by clients wishing to provide an element handler for special expressions.

Since:
  3.0

Constructor Summary
`ElementHandler()`

Method Summary
`abstract Expression` | `create(ExpressionConverter converter, IConfigurationElement config)` Creates the corresponding expression for the given configuration element.
`static ElementHandler` | `getDefault()` The default element handler which can cope with all XML expression elements defined by the common expression language.
`protected void` | `processChildren(ExpressionConverter converter, IConfigurationElement element, org.eclipse.core.internal.expressions.CompositeExpression expression)` Converts the children of the given configuration element and adds them to the given composite expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementHandler

    public ElementHandler()

Method Detail

### getDefault

    public static ElementHandler getDefault()

  The default element handler which can cope with all XML expression elements defined by the common expression language.

  Returns:
    the default element handler

### create

    public abstract Expression create(ExpressionConverter converter,
                                      IConfigurationElement config)
                               throws CoreException

  Creates the corresponding expression for the given configuration element.

  Parameters:
    `converter` - the expression converter used to initiate the conversion process
    `config` - the configuration element to convert
  Returns:
    the corresponding expression
  Throws:
    `CoreException` - if the conversion failed

### processChildren

    protected void processChildren(ExpressionConverter converter,
                                   IConfigurationElement element,
                                   org.eclipse.core.internal.expressions.CompositeExpression expression)
                            throws CoreException

  Converts the children of the given configuration element and adds them to the given composite expression.

  Note this is an internal method and should not be called by clients.

  Parameters:
    `converter` - the converter used to do the actual conversion
    `element` - the configuration element for which the children are to be processed
    `expression` - the composite expression representing the result of the conversion
  Throws:
    `CoreException` - if the conversion failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.